### Struct

# EBookContacts AddressWestern

#### Description [src]

    struct EAddressWestern {
      gchar* po_box;
      gchar* extended;
      gchar* street;
      gchar* locality;
      gchar* region;
      gchar* postal_code;
      gchar* country;
    }

Western address structure.

###### Structure members

`po_box:` `gchar*`

  PO Box.

`extended:` `gchar*`

  TODO, we’re not sure what this is.

`street:` `gchar*`

  Street name.

`locality:` `gchar*`

  City or town.

`region:` `gchar*`

  State or province.

`postal_code:` `gchar*`

  Postal Code.

`country:` `gchar*`

  Country.

#### Functions

###### e_address_western_parse

Parses a string representing a mailing address into a structure of type `EAddressWestern`.

#### Instance methods

###### e_address_western_copy

Creates a copy of `eaw`.

since: 3.24

###### e_address_western_free

Frees `eaw` and its contents.